# frozen_string_literal: true

# rubocop:disable Layout/ExtraSpacing, Layout/SpaceAroundOperators
require './lib/stormbreaker/version'

Gem::Specification.new do |gem|
  gem.name    = 'stormbreaker'
  gem.version = Stormbreaker::VERSION
  gem.license = 'MIT'
  gem.authors = [
    'Brian Watson'
  ]
  gem.email   = [
    'bwatson@instructure.com'
  ]
  gem.summary = 'Add axe assertions to expect statements by default in Ruby Selenium'

  gem.files = `git ls-files -z`
              .split("\x0")
              .reject { |f| f.match(%r{^(test|spec|features|bin)/}) }
              .reject { |f| f.match(/^(Jenkinsfile|Dockerfile|.dockerignore|.rspec|.rubocop)/) }
  gem.bindir        = 'bin'
  gem.require_paths = ['lib']

  gem.metadata['allowed_push_host'] = 'https://rubygems.org'
  gem.required_ruby_version         = '>= 2.6'

  gem.add_dependency 'axe-core-api', '~> 4.1'
  gem.add_dependency 'axe-core-rspec', '~> 4.1'
  gem.add_dependency 'axe-core-selenium', '~> 4.1'
  gem.add_dependency 'rspec', '~> 3.8'
  gem.add_development_dependency 'bundler', '~> 1.17'
  gem.add_development_dependency 'nokogiri', '~> 1.11.7'
  gem.add_development_dependency 'pry', '~> 0.14.1'
  gem.add_development_dependency 'rake', '~> 12.3'
  gem.add_development_dependency 'simplecov', '~> 0.17'
end
# rubocop:enable Layout/ExtraSpacing, Layout/SpaceAroundOperators
